Page MenuHomePhabricator

ContentTranslation callouts need to be aligned with dialog look
Closed, DuplicatePublic

Description

ContentTranslation callouts feature several unique unnecessary attributes, that need to be reconsidered/adapted to standard UI patterns.

Exemplified on CX entrypoint dialog:

  • Not using correct font-size on Vector – https://gerrit.wikimedia.org/r/465773
  • Wrong close icon
  • Non-standard input field
  • padding inconsistent
  • line-height of terms needs to be increased

Event Timeline

Volker_E created this task.Oct 10 2018, 9:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 9:57 PM

Change 465773 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Use Vector's default body size for callout dialogs

https://gerrit.wikimedia.org/r/465773

Volker_E updated the task description. (Show Details)Oct 10 2018, 11:38 PM
Volker_E updated the task description. (Show Details)

I will mentor this. All items apart from Vector font-size (already provided) and maybe input class (more architectural, although we could go the deprecated, easy way out here) are good starter tasks.

It need to be better rewritten using OOUI now. This was written couple of years back

Change 465773 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use Vector's default body size for callout dialogs

https://gerrit.wikimedia.org/r/465773

Aklapper updated the task description. (Show Details)Oct 12 2018, 5:30 PM

I will mentor this. All items apart from Vector font-size (already provided) and maybe input class (more architectural, although we could go the deprecated, easy way out here) are good starter tasks.

@Volker_E: Thanks! Should these be three separate GCI tasks? Any pointers (docs to link to, example patches?) how I, as a newcomer, could find the right close icon, make the input field as a standard one, which padding is expected?

Volker_E updated the task description. (Show Details)Oct 12 2018, 5:55 PM

@santhosh I don't know how feasible it is to make the transform to OOUI part of the task within GCI, what do you think? But we've got several user-experience issues on a prominent place which might be confusing to users and could be tackled quite easily within the existing code base.

@Aklapper close icon and padding should probably be separate tasks, line-height is too small of an issue for a separate task – might carve it out and provide an instant fix for it.

Change 467566 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Increase line-height on callout license text

https://gerrit.wikimedia.org/r/467566

Change 467566 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Increase line-height on callout license text

https://gerrit.wikimedia.org/r/467566

Volker_E updated the task description. (Show Details)Oct 16 2018, 7:52 PM

Change 501990 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/extensions/ContentTranslation@master] Changed close icon to correct icon (as used in ext. Popups)

https://gerrit.wikimedia.org/r/501990

T192316 seems related to this one. As I mentioned there, there is a new design for this particular dialog proposed in T217827: Update grey interlanguage links entry point popup.
Some aspects may still apply, but others such as the input may no longer be relevant. At least for this particular dialog.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 8 2019, 8:21 PM

@Pginer-WMF It actually is. @Nikitrain please update your patch to mention T192316 as bug.